Searched refs:tmpfile (Results 1 - 25 of 48) sorted by relevance

12

/freebsd-12-stable/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/funcs/
H A Dtst.freopen.ksh30 $dtrace -wq -o $tmpfile -s /dev/stdin $tmpfile <<EOF
56 if [ -f $tmpfile ]; then
57 rm $tmpfile
61 if [ -f $tmpfile.$i ]; then
62 rm $tmpfile.$i
74 tmpfile=/tmp/tst.freopen.$$
82 if [ -f $tmpfile.$iter ]; then
83 echo "$0: did not expect to find file: $tmpfile.$iter"
88 mv $tmpfile
[all...]
H A Dtst.ftruncate.ksh30 $dtrace -q -o $tmpfile -s /dev/stdin <<EOF
56 tmpfile=/tmp/tst.ftruncate.$$
61 cat $tmpfile
62 rm $tmpfile
H A Dtst.badfreopen.ksh30 $dtrace -wq -o $tmpfile -s /dev/stdin 2> $errfile <<EOF
75 tmpfile=/tmp/tst.badfreopen.$$
82 i=`cat $tmpfile`
85 echo "$0: unexpected contents in $tmpfile: " \
100 rm $tmpfile $errfile
/freebsd-12-stable/include/
H A Dmk-osreldate.sh35 tmpfile=$(mktemp osreldate.XXXXXXXX)
36 trap "rm -f $tmpfile" EXIT
44 cat > $tmpfile <<EOF
53 chmod 644 $tmpfile
54 mv -f $tmpfile osreldate.h
/freebsd-12-stable/tools/debugscripts/
H A Dkgdb58 tmpfile="/tmp/kgdb.asf.$$"
63 python $kld_debpy "$kernsrc" "$core" $@ > "$tmpfile" &&
65 echo "source $tmpfile"
67 rm "$tmpfile"
/freebsd-12-stable/tests/sys/cddl/zfs/tests/cli_user/zpool_iostat/
H A Dzpool_iostat_002_pos.ksh60 typeset tmpfile=$TMPDIR/zfsiostat.out.${TESTCASE_ID}
65 if [[ -f $tmpfile ]]; then
66 $RM -f $tmpfile
77 run_unprivileged $ZPOOL iostat $TESTPOOL 2 3 > $tmpfile 2>&1
78 stat_count=$($GREP $TESTPOOL $tmpfile | $WC -l)
/freebsd-12-stable/tests/sys/cddl/zfs/tests/cli_root/zpool_add/
H A Dzpool_add.kshlib76 typeset tmpfile="$TMPDIR/fstab.tmp"
81 $CAT $vfstab | $GREP "^/dev/" >$tmpfile
87 done <$tmpfile
89 $RM -f $tmpfile
99 typeset tmpfile="$TMPDIR/mnttab.tmp"
104 $MOUNT | $GREP "^/dev/" >$tmpfile
110 done <$tmpfile
112 $RM -f $tmpfile
125 typeset tmpfile="$TMPDIR/swapinfo.tmp"
128 swapinfo | $GREP "^/dev/" >$tmpfile
[all...]
H A Dzpool_add_003_pos.ksh66 tmpfile="zpool_add_003.tmp${TESTCASE_ID}"
71 $ZPOOL add -n "$TESTPOOL" ${DISK1} > $tmpfile
76 $CAT $tmpfile | $GREP "$str" >/dev/null 2>&1
/freebsd-12-stable/contrib/unbound/contrib/
H A Dupdate-anchor.sh57 tmpfile="/tmp/update-anchor.$$"
58 tmp2=$tmpfile.2
59 tmp3=$tmpfile.3
65 $ubhost -v $rh $filearg "$keyfile" -t DNSKEY "$zonename" >$tmpfile
67 rm -f $tmpfile
75 if grep '(secure)$' $tmpfile >/dev/null 2>&1; then
78 rm -f $tmpfile
88 if grep ' has DNSKEY record 257' $tmpfile >/dev/null 2>&1; then
90 grep '(secure)$' $tmpfile | \
97 grep '(secure)$' $tmpfile | \
[all...]
/freebsd-12-stable/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/pid/
H A Dtst.manypids.ksh46 tmpfile=/tmp/dtest.$$
58 echo "tick-1sec\n{\n\texit(0);\n}\n" > $tmpfile
61 echo "pid${pids[$i]}::malloc:entry\n{}\n" >> $tmpfile
65 $dtrace -s $tmpfile
68 rm $tmpfile
/freebsd-12-stable/tests/sys/cddl/zfs/tests/cli_root/zpool_create/
H A Dzpool_create_003_pos.ksh62 [[ -e $tmpfile ]] && \
63 log_must $RM -f $tmpfile
66 tmpfile="$TMPDIR/zpool_create_003.tmp${TESTCASE_ID}"
82 create_pool $TESTPOOL ${disk}p1 > $tmpfile
85 $ZPOOL create -n $TESTPOOL ${disk}p1 > $tmpfile
91 $CAT $tmpfile | $GREP "$str" >/dev/null 2>&1
H A Dzpool_create.kshlib102 typeset tmpfile="$TMPDIR/fstab.tmp"
107 $CAT $fstab | $GREP "^/dev" >$tmpfile
113 done <$tmpfile
115 $RM -f $tmpfile
/freebsd-12-stable/tests/sys/cddl/zfs/tests/cli_user/zfs_list/
H A Dzfs_list_003_pos.ksh61 if [[ -f $tmpfile ]]; then
62 $RM -f $tmpfile
71 tmpfile=$TMPDIR/zfslist.out.${TESTCASE_ID}
81 run_unprivileged $ZFS list -rH -o name $path > $tmpfile
83 $GREP -q "^${fs}$" $tmpfile
85 cat $tmpfile
/freebsd-12-stable/usr.sbin/vigr/
H A Dvigr.sh62 tmpfile="${tmpdir}/group"
70 cp "${grpfile}" "${tmpfile}"
74 ${EDITOR:-/usr/bin/vi} "${tmpfile}"
77 if chkgrp -q "${tmpfile}" ; then
78 install -b -m 0644 -C -S "${tmpfile}" "${grpfile}"
/freebsd-12-stable/contrib/elftoolchain/libelftc/
H A Dmake-toolchain-version94 tmpfile=`mktemp ${TMPDIR:-/tmp}/MV.XXXXXXX`
95 trap "rm -f ${tmpfile};" 0 1 2 3 15
97 cat > ${tmpfile} <<EOF
110 if ! cmp -s ${tmpfile} ${versionfile}; then
112 cp ${tmpfile} ${versionfile} || exit ${?}
/freebsd-12-stable/cddl/compat/opensolaris/misc/
H A Dfsshare.c153 char tmpfile[PATH_MAX]; local
165 if (strlcpy(tmpfile, file, sizeof(tmpfile)) >= sizeof(tmpfile))
167 if (strlcat(tmpfile, ".XXXXXXXX", sizeof(tmpfile)) >= sizeof(tmpfile))
169 fd = mkstemp(tmpfile);
220 unlink(tmpfile);
222 if (rename(tmpfile, fil
[all...]
/freebsd-12-stable/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/pragma/
H A Dtst.libdepfullyconnected.ksh41 tmpfile=/tmp/libdeporder.$$
67 DTRACE_DEBUG=1 $dtrace -L$libdir -e >$tmpfile 2>&1
69 perl /dev/stdin $tmpfile <<EOF
99 rm $tmpfile
/freebsd-12-stable/contrib/atf/test-programs/
H A Dsh_helpers.sh37 touch $(atf_config_get tmpfile)
42 rm $(atf_config_get tmpfile)
53 touch $(atf_config_get tmpfile)
59 rm $(atf_config_get tmpfile)
70 touch $(atf_config_get tmpfile)
76 rm $(atf_config_get tmpfile)
101 touch $(atf_config_get tmpfile)
103 touch $(atf_config_get tmpfile).no
107 rm $(atf_config_get tmpfile)
/freebsd-12-stable/usr.sbin/bsdconfig/console/
H A Dttys117 local tmpfile
118 f_eval_catch -k tmpfile $funcname mktemp 'mktemp -t "%s"' "$pgm" ||
131 f_eval_catch -d $funcname chmod 'chmod "%s" "%s"' "$mode" "$tmpfile"
132 f_eval_catch -d $funcname chown 'chown "%s" "%s"' "$owner" "$tmpfile"
160 ' "$ETC_TTYS" > "$tmpfile" 2>&1 ); then
164 f_eval_catch $funcname mv 'mv -f "%s" "%s"' "$tmpfile" "$ETC_TTYS" ||
/freebsd-12-stable/tests/sys/cddl/zfs/tests/history/
H A Dhistory_007_pos.ksh118 tmpfile=$import_dir/cmds_tmp.${TESTCASE_ID}
121 $HEAD -n $linenum $migrated_cmds_f > $tmpfile
122 log_must $DIFF $tmpfile $orig_cmds_f1
H A Dhistory_002_pos.ksh65 for FileToRm in $EXPECT_HISTORY $REAL_HISTORY $tmpfile $tmpfile2; do
116 tmpfile=$TMPDIR/tmpfile.${TESTCASE_ID} ; tmpfile2=$TMPDIR/tmpfile2.${TESTCASE_ID}
154 log_must eval "$ZFS send -i $fssnap $fssnap2 > $tmpfile"
158 exec_record eval "$ZFS receive $fs < $tmpfile"
/freebsd-12-stable/tests/sys/cddl/zfs/tests/acl/
H A Dacl_common.kshlib288 typeset tmpfile=$TMPDIR/tmp_get_ACE.${TESTCASE_ID}
302 $LS $args $file > $tmpfile
303 (( $? != 0 )) && log_fail "FAIL: $LS $args $file > $tmpfile"
322 done < $tmpfile
324 $RM -f $tmpfile
325 (( $? != 0 )) && log_fail "FAIL: $RM -f $tmpfile"
382 if [[ -f ${node}/tmpfile ]]; then
383 log_must $RM -f ${node}/tmpfile
385 chgusr_exec $user $TOUCH ${node}/tmpfile > \
/freebsd-12-stable/usr.bin/mkimg/tests/
H A Dmkimg_test.sh73 local baseline image result tmpfile update
82 tmpfile=_tmp-baseline
83 sed -e '/^#.*/D' < $baseline > $tmpfile
84 if diff -u $tmpfile $result; then
/freebsd-12-stable/contrib/sendmail/contrib/
H A Ddoublebounce.pl42 use vars qw( $opt_d $tmpfile);
104 open(MSG, "<$tmpfile");
128 $tmpfile = tmpnam();
130 if (!open(MSG, ">$tmpfile")) {
131 syslog('err', "Unable to open temporary file $tmpfile");
136 if (!open(MSG, "<$tmpfile")) {
137 syslog('err', "Unable to reopen temporary file $tmpfile");
220 unlink($tmpfile);
/freebsd-12-stable/contrib/libstdc++/include/c/
H A Dstd_cstdio.h77 #undef tmpfile macro

Completed in 163 milliseconds

12